Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Naming_Client Class Reference

This class is intended to simplify programs that want to play the role of Naming Service clients. More...

`#include <Naming_Utils.h>`

List of all members.

## Public Methods
| TAO_Naming_Client (void)
| Default constructor. More...
int | init (CORBA::ORB_ptr orb, ACE_Time_Value *timeout=0)
| Look for a Naming Service for a period of <timeout> using <resolve_initial_references>. More...
| ~TAO_Naming_Client (void)
| Destructor. More...
CosNaming::NamingContext_ptr | operator-> (void) const
| Returns a pointer to the root Naming Context. More...
CosNaming::NamingContext_ptr | get_context (void) const
| Returns a pointer to the root Naming Context. More...
## Protected Attributes
CosNaming::NamingContext_var | naming_context_
| Reference to the root Naming Context. More...

## Detailed Description

This class is intended to simplify programs that want to play the role of Naming Service clients.

Wrapper class that locates the root Naming Context. It also defines the operator-> so that <NamingContext> functions like <resolve>, etc. can be directly called on a <TAO_Naming_Client> object, and will be forwarded to the root Naming Context.

## Constructor & Destructor Documentation

TAO_Naming_Client::TAO_Naming_Client | ( | void |  | ) |

| Default constructor.

TAO_Naming_Client::~TAO_Naming_Client | ( | void |  | ) |

| Destructor.

## Member Function Documentation

CosNaming::NamingContext_ptr TAO_Naming_Client::get_context | ( | void |  | ) | const

| Returns a pointer to the root Naming Context. This ptr is duplicated via <_duplicate> so that it can be stored into a <*_var>.

int TAO_Naming_Client::init | ( | CORBA::ORB_ptr | orb,
|  | ACE_Time_Value * | timeout = 0
| ) |

| Look for a Naming Service for a period of <timeout> using <resolve_initial_references>. Return 0 if Naming Service is successfully located, and -1 on failure.

CosNaming::NamingContext_ptr TAO_Naming_Client::operator-> | ( | void |  | ) | const

| Returns a pointer to the root Naming Context.

## Member Data Documentation

CosNaming::NamingContext_var TAO_Naming_Client::naming_context_`[protected]`

| Reference to the root Naming Context.

The documentation for this class was generated from the following files:

- Naming_Utils.h
- Naming_Utils.cpp